#ifndef POPUPMENU_H
#define POPUPMENU_H

#include "framelesswindow.h"

class QVBoxLayout;
class QHBoxLayout;
class QFrame;
class QPushButton;
class QGroupBox;

class PopupMenu : public CFramelessWindow
{
    Q_OBJECT
public:
    explicit PopupMenu(QWidget *parent = 0);
    ~PopupMenu();

    void setOut(bool out);
    bool isOut();

signals:
    void clicked1();
    void clicked2();
    void clickedReturn();

private:
    void initUI();

private:
    QWidget* mCentralWidget;
    QHBoxLayout* mMainHLayout;

    QGroupBox* mGroupBox;
    QVBoxLayout* mMainVLayout;
    QPushButton* mButton1;
    QPushButton* mButton2;
    QPushButton* mButton3;
    QPushButton* mReturnButton;
    QFrame* mVerticalLine;

    bool mOut;
};

#endif // POPUPMENU_H
